jira-wiki-markup-1.4.0: Handle Jira wiki markup

Copyright | © 2019–2021 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@zeitkraut.de>
Stability | alpha
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Jira.Parser.Inline

Contents

- Inline component parsers
- Constants

Description

Parse Jira wiki inline markup.

Synopsis

- inline :: JiraParser Inline
- anchor :: JiraParser Inline
- autolink :: JiraParser Inline
- citation :: JiraParser Inline
- colorInline :: JiraParser Inline
- dash :: JiraParser Inline
- emoji :: JiraParser Inline
- entity :: JiraParser Inline
- image :: JiraParser Inline
- linebreak :: JiraParser Inline
- link :: JiraParser Inline
- monospaced :: JiraParser Inline
- specialChar :: JiraParser Inline
- str :: JiraParser Inline
- styled :: JiraParser Inline
- whitespace :: JiraParser Inline
- specialChars :: String

# Documentation

inline :: JiraParser Inline #

Parses any inline element.

# Inline component parsers

anchor :: JiraParser Inline #

Parses an anchor into an `Anchor` element.

autolink :: JiraParser Inline #

Parse a plain URL or mail address as ``AutoLink`` element.

citation :: JiraParser Inline #

colorInline :: JiraParser Inline #

Text in a different color.

dash :: JiraParser Inline #

Parses ASCII representation of en-dash or em-dash.

emoji :: JiraParser Inline #

Parses textual representation of an icon into an ``Emoji`` element.

entity :: JiraParser Inline #

Parses an HTML entity into an ``Entity`` element.

image :: JiraParser Inline #

Parse image into an `Image` element.

linebreak :: JiraParser Inline #

Parses an in-paragraph newline as a `Linebreak` element. Both newline characters and double-backslash are recognized as line-breaks.

link :: JiraParser Inline #

Parse link into a `Link` element.

monospaced :: JiraParser Inline #

Parses monospaced text into `Monospaced`.

specialChar :: JiraParser Inline #

Parses a special character symbol as a `Str`.

str :: JiraParser Inline #

Parses a simple, markup-less string into a `Str` element.

styled :: JiraParser Inline #

Parses styled text

whitespace :: JiraParser Inline #

Parses whitespace and return a `Space` element.

# Constants

specialChars :: String #

Characters which, depending on context, can have a special meaning.